Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor
          org.eclipse.gmf.runtime.diagram.ui.requests.CreateConnectionViewRequest.ConnectionViewDescriptor
              org.eclipse.gmf.runtime.diagram.ui.requests.CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor

All Implemented Interfaces:
  IAdaptable

Enclosing class:
  CreateConnectionViewAndElementRequest

public static class CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor
extends CreateConnectionViewRequest.ConnectionViewDescriptor

An extended view descriptor that takes an `ElementDescriptor` instead of `IAdaptable` as the element adapter

Constructor Summary
`CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter, PreferencesHint preferencesHint)` Constructor.
`CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter, java.lang.String semanticHint, int index, PreferencesHint preferencesHint)` Constructor.
`CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter, java.lang.String semanticHint, PreferencesHint preferencesHint)` Constructor.

Method Summary
`CreateElementRequestAdapter` `getCreateElementRequestAdapter()` Method getElementDescriptor.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor
`getAdapter, getElementAdapter, getIndex, getPreferencesHint, getSemanticHint, getViewKind, isPersisted, setPersisted, setView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor

    public CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter,
                                                                                    PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `requestAdapter` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor

    public CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter,
                                                                                    java.lang.String semanticHint,
                                                                                    PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `requestAdapter` -
  `semanticHint` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor

    public CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter,
                                                                                    java.lang.String semanticHint,
                                                                                    int index,
                                                                                    PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `requestAdapter` -
  `semanticHint` -
  `index` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

Method Detail

### getCreateElementRequestAdapter

    public CreateElementRequestAdapter getCreateElementRequestAdapter()

  Method getElementDescriptor.

  Returns:
    ElementDescriptor

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.